%% plot1
x=0:0.2:6;
y=exp(-x).*sin(pi*x);
figure(1); plot(x,y);
%% plot2
x=0:0.02:6;
y=exp(-x).*sin(pi*x);
figure(2); plot(x,y);
%%
t=[0:0.01:2*pi]; a=4; b=2*sqrt(3);
x=a*cos(t)+2;
y=b*sin(t);
figure(3); grid on; plot(x,y);

r=(b^2/a)./(1-sqrt(1-b^2/a^2)*cos(t));
figure(4); polar(t,r);

x=0:0.01:5; y=sin(x);
figure(5); plot(x,y,'--r')
z=cos(x);
hold on;
plot(x,z)
hold off;

z=0:0.1:10;
x=exp(-0.2*z).*cos(pi*z);
y=exp(-0.2*z).*sin(pi*z);
figure(6); plot3(x,y,z);

x=-2:0.1:2;
y=-1:0.1:1;
[X,Y]=meshgrid(x,y);
z=X.*Y.*exp(-X.^2-Y.^2);
figure(7); surf(x,y,z);



