function yi = newtForwintDif(x, y, order, xi)
n = length(x)-1;
D = zeros(n+1,n+1);
D(:,1) = y(:);
h = x(2)-x(1);
for i = 1:n
   for j = 1:i
      D(i+1,j+1) = D(i+1,j)-D(i,j);
	end
end
% forward difference interpolation
p = diag(D);
syms X;
q = (X-x(1))/h;
yi = p(1);
for i = 1:length(p)-1
	term = 1;
	for k = 0:(i-1)
		term = term*(q-k);
	end
	term = term/factorial(i);
	yi = yi + term*p(i+1);
end
for i=1:order
yi =diff(yi,X);
end
expand(yi)
yi = subs(yi,X,xi); 

